{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0.0,
      "conditions": [
        {
          "condition": "minecraft:match_tool",
          "predicate": {
            "predicates": {
              "minecraft:enchantments": [
                {
                  "enchantments": "minecraft:silk_touch",
                  "levels": {
                    "min": 1
                  }
                }
              ]
            }
          }
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "acesbs:deepslate_entropy_ore"
        }
      ],
      "functions": [
        {
          "function": "minecraft:explosion_decay"
        }
      ],
      "rolls": 1.0
    },
    {
      "bonus_rolls": 0.0,
      "conditions": [
        {
          "condition": "minecraft:inverted",
          "term": {
            "condition": "minecraft:match_tool",
            "predicate": {
              "predicates": {
                "minecraft:enchantments": [
                  {
                    "enchantments": "minecraft:silk_touch",
                    "levels": {
                      "min": 1
                    }
                  }
                ]
              }
            }
          }
        },
        {
          "condition": "minecraft:match_tool",
          "predicate": {
            "items": [
              "acesbs:prisma_steel_pickaxe",
              "acesbs:prisma_steel_hammer"
            ]
          }
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:air",
          "weight": 360
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:coal",
          "weight": 12
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:raw_copper",
          "weight": 10
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:raw_iron",
          "weight": 6
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:raw_gold",
          "weight": 4
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:lapis_lazuli",
          "weight": 3
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:redstone",
          "weight": 2
        },
        {
          "type": "minecraft:item",
          "name": "acesbs:raw_entropy"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:emerald"
        }
      ],
      "functions": [
        {
          "enchantment": "minecraft:fortune",
          "formula": "minecraft:ore_drops",
          "function": "minecraft:apply_bonus"
        },
        {
          "function": "minecraft:explosion_decay"
        }
      ],
      "rolls": {
        "type": "minecraft:uniform",
        "max": 3.0,
        "min": 1.0
      }
    },
    {
      "bonus_rolls": 0.0,
      "conditions": [
        {
          "condition": "minecraft:inverted",
          "term": {
            "condition": "minecraft:match_tool",
            "predicate": {
              "predicates": {
                "minecraft:enchantments": [
                  {
                    "enchantments": "minecraft:silk_touch",
                    "levels": {
                      "min": 1
                    }
                  }
                ]
              }
            }
          }
        },
        {
          "condition": "minecraft:inverted",
          "term": {
            "condition": "minecraft:match_tool",
            "predicate": {
              "items": [
                "acesbs:prisma_steel_pickaxe",
                "acesbs:prisma_steel_hammer"
              ]
            }
          }
        }
      ],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "acesbs:raw_entropy"
        }
      ],
      "functions": [
        {
          "enchantment": "minecraft:fortune",
          "formula": "minecraft:ore_drops",
          "function": "minecraft:apply_bonus"
        },
        {
          "function": "minecraft:explosion_decay"
        }
      ],
      "rolls": {
        "type": "minecraft:uniform",
        "max": 3.0,
        "min": 1.0
      }
    }
  ]
}